How to solve V2.27 Scania VCI3 software update error?

Scania VCI3 comes with latest version of SDP3 (2.27 version),which can support Scania Trucks, Buses and other Heavy Vehicles or Heavy Duty Engines Made by Scania.If you need update your SCANIA VCI3,you can buy our SDP3 V2.27 Software for SCANIA VCI2 without USB Dongle.

Scania SDP3 2.2

And when install V2.27 Scania VCI3 software,got the error that needs to update,like following pic shows,but 2.2.7 is already latest version at present.

scania vci3 software

Here is solution:

1.Please disable your computer internet.

2.Install well the Patch file,and install according to our video:https://www.youtube.com/embed/PNr7nuOJ5sI

3.If still can not work,please use our WIN 7 computer system,change computer time to 2016.08,and disable internet to install Scania software again to test.